Subject: Re: ~60k interrupts/sec for 1Gb/s iperf with r8169

From: Andreas Sundstrom <[email-masked]>
Date: Mon, 18 Jan 2010 15:43:09 +0100

Andreas Sundstrom wrote:
> Here is the relevant dmesg output for my NIC. It's an integrated
> NIC on my ASUS M2A-VM HDMI mb.
> 
> r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
> r8169 0000:02:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
> r8169 0000:02:00.0: setting latency timer to 64
> r8169 0000:02:00.0: irq 26 for MSI/MSI-X
> eth0: RTL8168b/8111b at 0xffffc90010944000, 00:1f:c6:b3:ff:eb, XID 18000000 IRQ 26
> r8169: eth0: chipset (mac_version = 12).
> 
> I added the output of the mac_version when I was troubleshooting.

I realized that I didn't say what kernel I was using.
But this was all with plain 2.6.32.3 kernel

/Andreas Sundstrom